OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RootNode< ChildT >::ValueOnIterator Class Reference

`#include <nanovdb/util/GridBuilder.h>`

## Public Member Functions
| ValueOnIterator ()
| ValueOnIterator (const RootNode *parent)
ValueOnIterator & | operator= (const ValueOnIterator &)=default
ValueType | operator* () const
Coord | getOrigin () const
Coord | getCoord () const
| operator bool () const
ValueOnIterator & | operator++ ()
ValueOnIterator | operator++ (int)
uint32_t | pos () const

## Constructor & Destructor Documentation

## ◆ ValueOnIterator() [1/2]

template<typename ChildT >

ValueOnIterator | ( |  | ) |
| inline

## ◆ ValueOnIterator() [2/2]

template<typename ChildT >

ValueOnIterator | ( | const RootNode * | parent | ) |
| inline

## Member Function Documentation

## ◆ getCoord()

template<typename ChildT >

Coord getCoord | ( |  | ) | const
| inline

## ◆ getOrigin()

template<typename ChildT >

Coord getOrigin | ( |  | ) | const
| inline

## ◆ operator bool()

template<typename ChildT >

operator bool | ( |  | ) | const
| inline

## ◆ operator*()

template<typename ChildT >

ValueType operator* | ( |  | ) | const
| inline

## ◆ operator++() [1/2]

template<typename ChildT >

ValueOnIterator & operator++ | ( |  | ) |
| inline

## ◆ operator++() [2/2]

template<typename ChildT >

ValueOnIterator operator++ | ( | int |  | ) |
| inline

## ◆ operator=()

template<typename ChildT >

ValueOnIterator & operator= | ( | const ValueOnIterator & |  | ) |
| default

## ◆ pos()

template<typename ChildT >

uint32_t pos | ( |  | ) | const
| inline